import { ACCESS } from '../types/acess.js';
import { VIRTUAL_HOST } from '../types/virtual-hosts.js';
import { UPLOAD } from '../types/upload.js';
import { MOUNT } from '../types/mount.js';
export declare const SVPS: {
    new (options: {
        /** Set the SSH access for one or more VPS */
        access: ACCESS;
    }): {
        /**
         * Prepare and execute the command queue.
         */
        mount: (options?: MOUNT) => Promise<true | undefined>;
        /**
         * Create the Virtual Hosts
         */
        createVirtualHosts: (virtualHosts: VIRTUAL_HOST[]) => Promise<true | undefined>;
        /**
         * Mount and execute your commands
         *
         * ---
         *
         * Special commands:
         * - `['--reboot']`
         * - `['--restart-ssh']`
         * - `['--catch _your_command_']`
         */
        commands: (commandsQueue: string[]) => Promise<true | undefined>;
        /**
         * Upload files and directories.
         */
        upload: (paths: UPLOAD[]) => Promise<true | undefined>;
        end: () => Promise<true>;
    };
};
